Skip to content

Delete a manual component. Monitors and heartbeats leave a page through their own routes.

DELETE
/status_page/{status_page_id}/component/{component_id}
curl --request DELETE \
--url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/component/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
status_page_id
required
string format: uuid

Status page identifier

component_id
required
string format: uuid

Manual component identifier

Component deleted

Missing or invalid authentication

Status page not found, or no manual component with this id on it

Internal server error